package com.ihaoin.hooloo.device.network;

import android.os.Handler;
import android.os.Message;

import java.io.IOException;

import okhttp3.Call;
import okhttp3.Callback;
import okhttp3.MediaType;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.RequestBody;
import okhttp3.Response;

public class HttpUtil {
    public static void post(String url, String body, Handler handler) {
        OkHttpClient client = new OkHttpClient();
        RequestBody requestBody = RequestBody.create(MediaType.parse("application/json"), body);
        Request request = new Request.Builder().url(url).post(requestBody).build();
        client.newCall(request).enqueue(new Callback() {
            @Override
            public void onFailure(Call call, IOException e) {
                HttpUtil.onFailure(handler, e);
            }

            @Override
            public void onResponse(Call call, Response response) throws IOException {
                HttpUtil.onResponse(handler, response);
            }
        });
    }

    private static void onFailure(Handler handler, Exception e) {
        try {
            Thread.sleep(3000);
        } catch (InterruptedException e3) {
            e3.printStackTrace();
        }
        Message msg = handler.obtainMessage(0, e);
        handler.sendMessage(msg);
    }

    private static void onResponse(Handler handler, Response response) throws IOException {
        try {
            Thread.sleep(3000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        Message msg = handler.obtainMessage(1, response.body() == null ? "" : response.body().string());
        handler.sendMessage(msg);
    }

    public static void postConfirmOrder(String body, Handler handler) throws IOException {
        post(BaseParams.POST_CONFIRM_ORDER, body, handler);
    }
}
